package com.example.educode.controller.fragment;


import android.os.Bundle;

import androidx.fragment.app.Fragment;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import com.example.educode.controller.activity.FormationActivity;
import com.example.educode.R;


/**
 * A simple {@link Fragment} subclass.
 */
public class FormationFragment extends Fragment {

    private TextView text_view;
    private ImageView imageQuestion;
    private int numQuestion = 0;
    private String[] questions = new String[] {
            "Como es tu primer día de trabajo, tienes la categoría de Programador Junior",
            "No te preocupes, a medida que aumentes tus puntos te iremos ascendiendo",
            "Vamos a dar un poco de formación y acto seguido nos ponemos a trabajar, Allá vamos!",

            "A continuación veremos los tipos de problemas que te vas a encontrar en la empresa y como solucionarlos",

            "Aquí tenemos una función que suma. A posteriori se llama. Tu labor aquí es saber cuál es el resultado que devuelve",
            "Fácil, ¿no?",
            "El resultado es 9",

            "Otro tipo de problemas que se puede presentar, es rellanar correctamente la casilla vacía",
            "Por lo general, estos ejercicios son parte de código de antiguos programadores y algo no funcionaba bien",
            "En este caso está claro que la función necesita devolver un número. Escribiremos 'return'",

            "Y hasta aquí la formación",
            "Ya eres uno de los nuestros!",
            "Ahora, te toca poner en práctica lo aprendido. Suerte!",
            ""
    };

    public FormationFragment() {
        // Required empty public constructor
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        View RootView = inflater.inflate(R.layout.fragment_formation, container, false);

        imageQuestion = RootView.findViewById(R.id.imageView_Questions);

        text_view = (TextView) RootView.findViewById(R.id.textView_startFormation);
        text_view.setText(questions[numQuestion]);

        return RootView;
    }

    public void nextQuestion(){
        numQuestion++;
        text_view.setText(questions[numQuestion]);
        updateImage();

    }

    public void updateImage(){

        if(numQuestion == 4){
            imageQuestion.setImageResource(R.drawable.abcdquestion);
        }
        if(numQuestion == 6){
            imageQuestion.setImageResource(R.drawable.abcdquestionsolved);
        }
        if(numQuestion == 7){
            imageQuestion.setImageResource(R.drawable.fillquestion);
        }
        if(numQuestion == 9){
            imageQuestion.setImageResource(R.drawable.fillquestionsolved);
        }
        if(numQuestion == 10){
            imageQuestion.setImageResource(getResources().getIdentifier(((FormationActivity)getActivity()).getAvatarString(), "drawable", "com.example.educode"));
        }
        if(numQuestion == 13){
            ((FormationActivity)getActivity()).finishFormation();
        }

    }
}
