package com.example.educode.controller.fragment;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import androidx.fragment.app.Fragment;

import com.example.educode.R;
import com.example.educode.controller.activity.MainMenuActivity;


/**
 * A simple {@link Fragment} subclass.
 */
public class NameFragment extends Fragment {

    private EditText editTextName;
    private Button changeNameButton;
    private TextView textViewDescription;
    private Button backButton;
    private String name;


    public NameFragment() {
        // Required empty public constructor
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        View RootView = inflater.inflate(R.layout.fragment_name, container, false);

        editTextName = RootView.findViewById(R.id.editText_changeName);
        changeNameButton = RootView.findViewById(R.id.button_changeName1);
        textViewDescription = RootView.findViewById(R.id.textView_description);
        backButton = RootView.findViewById(R.id.button_backName);


        backButton.setBackgroundResource(R.drawable.back);


        changeNameButton.setBackgroundResource(R.drawable.ok);
        textViewDescription.setText("Puedes hacer que otros usuarios puedan verte en el ranking con el nombre que desees");


        backButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ((MainMenuActivity)getActivity()).getOptionsMenuFragment();
            }
        });

        changeNameButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                name = editTextName.getText().toString();
                if(!name.equals("")){
                    changeName(name);
                    ((MainMenuActivity)getActivity()).restartActivity();
                }else{
                    Toast.makeText(getActivity(), "Debes escribir un nombre", Toast.LENGTH_SHORT).show();
                }

            }
        });

        return RootView;
    }

     private void changeName(String name) {
         ((MainMenuActivity)getActivity()).setName(name);
    }

}
