package com.example.educode.controller.fragment;

import android.annotation.SuppressLint;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.TableLayout;
import android.widget.TextView;

import androidx.fragment.app.Fragment;

import com.example.educode.R;
import com.example.educode.controller.activity.MainMenuActivity;


/**
 * A simple {@link Fragment} subclass.
 */
public class RankingFragment extends Fragment {


    private TableLayout table;
    private TextView textViewDescription;
    private Button backButton;
    private TextView textView1;


    public RankingFragment() {
        // Required empty public constructor
    }


    @SuppressLint("ResourceAsColor")
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        View RootView = inflater.inflate(R.layout.fragment_ranking, container, false);

        backButton = RootView.findViewById(R.id.button_back2);
        table = RootView.findViewById(R.id.tableLayout);
        backButton.setBackgroundResource(R.drawable.back);

        int i = 1;
        int x = 1;
        while(i <= 10){
            boolean isMeFlag = false;
            boolean isInTheRanking = false;
            String[] aux = ((MainMenuActivity)getActivity()).getPlayerRankingByPostion(i);
            if(aux[1] == null){
                break;
            }
            if(isMe(aux)){
                Log.e("isME", "true");
                isMeFlag = true;
                isInTheRanking = true;
            }
            int threeColumns = 0;
            while (threeColumns <= 2){
                String column = "TextViewTable" + x;

                Log.e("vueltas", String.valueOf(threeColumns) + " " + column);
                int id = getResources().getIdentifier(column, "id", getActivity().getPackageName());
                textView1 = RootView.findViewById(id);
                textView1.setText(aux[threeColumns]);
                if(isMeFlag){
                    textView1.setBackgroundColor(R.color.colorRankingUser);
                }
                x++;
                threeColumns++;
            }

            //If the user not in firsts 10 player
           if(!isInTheRanking && i == 10){
                 boolean playerNotFound = false;
                //Search ranking user position
                while(!isMe(aux)){
                    i++;
                    aux = ((MainMenuActivity)getActivity()).getPlayerRankingByPostion(i);
                     if(aux[1] == null){
                         playerNotFound = true;
                         break;

                     }
                }
                if(!playerNotFound){
                    threeColumns = 0;
                    while (threeColumns <= 2) {
                        String column = "TextViewTable" + x;
                        Log.e("ULTIMA", String.valueOf(threeColumns) + " " + column);
                        int id = getResources().getIdentifier(column, "id", getActivity().getPackageName());
                        textView1 = RootView.findViewById(id);
                        textView1.setText(aux[threeColumns]);
                        textView1.setBackgroundColor(R.color.colorRankingUser);
                        x++;
                        threeColumns++;
                    }

                }
            }
            i++;
        }

        backButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ((MainMenuActivity)getActivity()).getOptionsMenuFragment();
            }
        });

        return RootView;
    }

    public boolean isMe(String[] aux){
        Log.e("FunctionISME", aux[1] + "" + aux[2]);
        if(aux[1].equals(((MainMenuActivity)getActivity()).getPlayername())){
            if(aux[2].equals(String.valueOf((((MainMenuActivity)getActivity()).getPlayerPoints())))) {
                return true;
            }else{
                return false;
            }
        }else{
            return false;
        }
    }


}
