package com.example.educode.data;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class AdminSQLiteOpenHelper extends SQLiteOpenHelper{


    public AdminSQLiteOpenHelper(Context context, String name, SQLiteDatabase.CursorFactory factory, int version) {
        super(context, name, factory, version);
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL("create table jugador(id int, nombre text, puntos integer, categoria text, formacion integer, avatar text, music integer, daily integer, dailyday integer, dailymonth integer, dailyyear integer,email text)");
        db.execSQL("create table radioQuestion(id int, imagen text, a text, b text, c text, d text, correct text, level text, question text)");
        db.execSQL("create table fillQuestion(id int, imagen text, correct text, level text, question text)");
        db.execSQL("create table ranking(id int, nombre text, puntos int)");
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int i, int i1) {

    }


}
